/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").  
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_LIBNCALL_H
#define	_LIBNCALL_H

#pragma ident	"@(#)libncall.h	1.4	07/01/12 SMI"

#ifdef	__cplusplus
extern "C" {
#endif


/*
 * libncall is built from the librdc sources, so all this header file
 * does is include librdc.h and redefine the rdc_*() functions to be
 * ncall_*() functions.
 */


#ifdef	__PRAGMA_REDEFINE_EXTNAME
extern int ncall_check_release(char **);
#pragma	redefine_extname	ncall_check_release	rdc_check_release
#else
#define	ncall_check_release	rdc_check_release
#endif


#include <sys/nsctl/librdc.h>


#ifdef	__cplusplus
}
#endif

#endif	/* _LIBNCALL_H */
